#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 2

Name:		kosmindoormap
Version: 20.12.0
Release:	%mkrel %{rel}
Summary:	OSM multi-floor indoor map renderer
Group:		Graphical desktop/KDE
License:	GPLv2+
Url:		https://kde.org/
Source0:	https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:	kf5-macros

BuildRequires:	cmake(Qt5Quick)
BuildRequires:	cmake(Qt5Test)
BuildRequires:	cmake(Qt5Widgets)

BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KPublicTransport)

BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(protobuf)

BuildRequires:	osmctools
Requires:	osmctools

%description
Library and QML component for rendering multi-level OSM indoor maps.

%files -f %{name}.lang
%{_kf5_categoriesdir}/org_kde_kosmindoormap.*categories
%{_kf5_qmldir}/org/kde/kosmindoormap/

#-------------------------------------------------------------------------

%define kosm_major 1
%define libkosm %mklibname kosm %{kosm_major}

%package -n %{libkosm}
Summary:	Library and QML component for rendering multi-level OSM indoor maps
Group:		System/Libraries

%description -n %{libkosm}
Library and QML component for rendering multi-level OSM indoor maps.

%files -n %{libkosm}
%{_kf5_libdir}/libKOSM.so.%{kosm_major}{,.*}
%{_kf5_libdir}/libKOSM.so.%{version}

#-------------------------------------------------------------------------

%define kosmindoormap_major 1
%define libkosmindoormap %mklibname kosmindoormap %{kosmindoormap_major}

%package -n %{libkosmindoormap}
Summary:	Library and QML component for rendering multi-level OSM indoor maps
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libkosmindoormap}
Library and QML component for rendering multi-level OSM indoor maps.

%files -n %{libkosmindoormap}
%{_kf5_libdir}/libKOSMIndoorMap.so.%{kosmindoormap_major}{,.*}
%{_kf5_libdir}/libKOSMIndoorMap.so.%{version}

#-------------------------------------------------------------------------

%define develname %mklibname %{name} -d

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libkosm} = %{version}-%{release}
Requires:	%{libkosmindoormap} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{develname}
%{_includedir}/KOSM/
%{_includedir}/KOSMIndoorMap/
%{_includedir}/kosm/
%{_includedir}/kosmindoormap/
%{_includedir}/kosmindoormap_version.h
%{_kf5_libdir}/libKOSM.so
%{_kf5_libdir}/libKOSMIndoorMap.so
%{_kf5_libdir}/cmake/KOSMIndoorMap/

#-------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Sat Dec 19 2020 luigiwalser <luigiwalser> 20.12.0-2.mga8
+ Revision: 1661328
- rebuild for protobuf

* Mon Dec 14 2020 daviddavid <daviddavid> 20.12.0-1.mga8
+ Revision: 1657127
- initial package kosmindoormap

